Page MenuHomePhabricator

ci: disable tests on macos
ClosedPublic

Authored by zmike on Jul 23 2018, 4:45 AM.

Details

Summary

these all fail currently due to some dbus issues

ref T7174

Depends on D6653

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 23 2018, 4:45 AM
zmike requested review of this revision.Jul 23 2018, 4:45 AM
zmike updated this revision to Diff 15888.Jul 25 2018, 8:52 AM
zmike edited the summary of this revision. (Show Details)

Where do you see them failing? I looked over the recent builds and see no problem with the macos build at all.

zmike added a comment.Jul 27 2018, 5:23 AM

They fail across the board due to dbus not working somehow, which is a requirement for running tests. I filed T7174 for tracking work on this.

zmike added a comment.Jul 27 2018, 5:25 AM

I'm unsure where you're seeing tests passing on the macos build; they fail across the board in every build (https://api.travis-ci.org/v3/job/408837847/log.txt), I just made it ignore the failure for the build result.

Kindly keep this pending I am going to get that mac i showed you guys and start setting things up and getting builds going.

zmike added a comment.Jul 30 2018, 3:49 AM

Kindly keep this pending I am going to get that mac i showed you guys and start setting things up and getting builds going.

They can be reenabled later. There's no point in wasting build time for now.

stefan_schmidt accepted this revision.Jul 30 2018, 8:35 AM

I stand corrected.

This revision is now accepted and ready to land.Jul 30 2018, 8:35 AM
This revision was automatically updated to reflect the committed changes.